## org.apache.taglibs.standard.tag.el.fmt
Class SetBundleTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.SetBundleSupport
              org.apache.taglibs.standard.tag.el.fmt.SetBundleTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class SetBundleTag

extends SetBundleSupport

A handler for <setBundle> that accepts attributes as Strings and evaluates them as expressions at runtime.

Author:
  Shawn Bayern, Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.SetBundleSupport
`basename`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SetBundleTag()` Constructs a new SetBundleTag.

Method Summary
`int` `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
`void` `release()` Release state.
`void` `setBasename(String basename_)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.SetBundleSupport
`doEndTag, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetBundleTag

    public SetBundleTag()

  Constructs a new SetBundleTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `TagSupport`
  Default processing of the start tag, returning SKIP_BODY.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `TagSupport`
  Returns:
    SKIP_BODY
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doStartTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `SetBundleSupport`
  See Also:
    `Tag.release()`

### setBasename

    public void setBasename(String basename_)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.